# Coin Withdrawal callbacks

{% hint style="danger" %}
Handling callbacks correctly is crucial to make sure your integration’s business logic works as expected. It is highly recommended to validate payment statuses and callbacks before acting on it inside your system.
{% endhint %}

Refer to [this section](/guides/api-basics/callbacks.md) to get more information on what callbacks are and how to validate them before acting on it inside your system.

| Event            | Description                                           |
| ---------------- | ----------------------------------------------------- |
| `created`        | A CoinWithdrawal transaction has been created         |
| `status_changed` | The CoinWithdrawal transaction has changed its status |

Refer to [this section](/guides/payouts/payout-statuses.md) to get more information on CoinWithdrawal transaction statuses.

{% tabs %}
{% tab title="CoinWithdrawal created" %}

```javascript
{
    "data": {
        "id": "08112345-6093-49dc-a8d4-abc58bc12345",
        "fee": "0.0",
        "risk": null,
        "txid": null,
        "status": "pending",
        "address": "TUysHNH5uG3fEziSktp2T3fia46km12345",
        "network": "tron",
        "exchange": {
            "fee": "0.18",
            "pair": "USDTUSD",
            "rate": "1.0008",
            "fee_currency": "USD"
        },
        "custom_id": "1234567",
        "created_at": "2025-08-01T11:46:36+00:00",
        "customer_id": null,
        "description": null,
        "network_fee": "3.000597",
        "fee_currency": "USD",
        "charged_amount": "18.0",
        "received_amount": "14.805158",
        "charged_currency": "USD",
        "network_fee_level": "average",
        "received_currency": "USDT"
    },
    "type": "CoinWithdrawal",
    "event": "created"
}
```

{% endtab %}

{% tab title="CoinWithdrawal processing" %}

```javascript
{
    "data": {
        "id": "08112345-6093-49dc-a8d4-abc58bc12345",
        "fee": "0.0",
        "risk": null,
        "txid": null,
        "status": "processing",
        "address": "TUysHNH5uG3fEziSktp2T3fia46km12345",
        "network": "tron",
        "exchange": {
            "fee": "0.18",
            "pair": "USDTUSD",
            "rate": "1.0008",
            "fee_currency": "USD"
        },
        "custom_id": "1234567",
        "created_at": "2025-08-01T11:46:36+00:00",
        "customer_id": null,
        "description": null,
        "network_fee": "3.000597",
        "fee_currency": "USD",
        "charged_amount": "18.0",
        "received_amount": "14.805158",
        "charged_currency": "USD",
        "network_fee_level": "average",
        "received_currency": "USDT"
    },
    "type": "CoinWithdrawal",
    "event": "status_changed"
}
```

{% endtab %}

{% tab title="CoinWithdrawal completed" %}

```javascript
{
    "data": {
        "id": "08112345-6093-49dc-a8d4-abc58bc12345",
        "fee": "0.0",
        "risk": null,
        "txid": "5312345a47900cfc2b81c2f96b123456064da3d2712345ba5abce43b46d12345",
        "status": "completed",
        "address": "TUysHNH5uG3fEziSktp2T3fia46km12345",
        "network": "tron",
        "exchange": {
            "fee": "0.18",
            "pair": "USDTUSD",
            "rate": "1.0008",
            "fee_currency": "USD"
        },
        "custom_id": "1234567",
        "created_at": "2025-08-01T11:46:36+00:00",
        "customer_id": null,
        "description": null,
        "network_fee": "3.000597",
        "fee_currency": "USD",
        "charged_amount": "18.0",
        "received_amount": "14.805158",
        "charged_currency": "USD",
        "network_fee_level": "average",
        "received_currency": "USDT"
    },
    "type": "CoinWithdrawal",
    "event": "status_changed"
}
```

{% endtab %}

{% tab title="CoinWithdrawal cancelled" %}

```
{
    "data": {
        "id": "44a12345-7e91-44fa-8b1f-e7b85c212345",
        "fee": "606.060653",
        "risk": null,
        "txid": null,
        "status": "cancelled",
        "address": "0x7f55e4acbece03ca8123450d16c7925412345be2",
        "network": "bnb_smart_chain",
        "custom_id": "1234567",
        "created_at": "2025-06-17T00:45:21+00:00",
        "customer_id": null,
        "description": null,
        "network_fee": "0.004583",
        "fee_currency": "USDT",
        "charged_amount": "60606.065236",
        "received_amount": "60000.0",
        "charged_currency": "USDT",
        "network_fee_level": "average",
        "received_currency": "USDT"
    },
    "type": "CoinWithdrawal",
    "event": "status_changed"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.cryptopay.me/guides/payouts/callbacks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
